package com.nantian.cloud.dbcapp.carbon.domain.carbonAccount;


import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.metadata.BaseRowModel;
import com.nantian.cloud.dbcapp.tool.ExcelAnnotation;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.apache.poi.ss.usermodel.HorizontalAlignment;

import java.math.BigDecimal;

@HeadFontStyle(bold = true,fontHeightInPoints = 10)
@ContentStyle(shrinkToFit = true,horizontalAlignment = HorizontalAlignment.CENTER)
@ExcelIgnoreUnannotated
public class EntInstrumentVo extends BaseRowModel {

    private static final long serialVersionUID = 1L;
    //导出用easyExcel重写
//    @Excel(name = "地区")
    @ExcelProperty(value = {"地区"}, index = 0)
    @ExcelAnnotation("地区")
    private String regionName;

    //@Excel(name = "排放单位类别")
    @ExcelProperty(value = {"排放单位类别"}, index = 1)
    @ExcelAnnotation("排放单位类别")
    private String entConsumeTypeName;

    //@Excel(name = "排放单位名称")
    @ExcelProperty(value = {"排放单位名称"}, index = 2)
    @ExcelAnnotation("排放单位名称")
    private String entName;

    private Long level;

    //@Excel(name = "计量器具层级")
    @ExcelProperty(value = {"计量器具层级"}, index = 3)
    @ExcelAnnotation("计量器具层级")
    private String levelName;

    private Long category;

    //@Excel(name = "计量器具类别")
    @ExcelProperty(value = {"计量器具类别"}, index = 4)
    @ExcelAnnotation("计量器具类别")
    private String categoryName;

    // @Excel(name = "应配数量")
    @ExcelProperty(value = {"应配数量"}, index = 5)
    @ExcelAnnotation("应配数量")
    private Integer require;

    // @Excel(name = "实配数量")
    @ExcelProperty(value = {"实配数量"}, index = 6)
    @ExcelAnnotation("实配数量")
    private Integer actual;

    //    @Excel(name = "受检情况")
    @ExcelProperty(value = {"受检情况"}, index = 7)
    @ExcelAnnotation("受检情况")
    private String inspect;

    //    @Excel(name = "合格使用率")
    @ExcelProperty(value = {"合格使用率"}, index = 8)
    @ExcelAnnotation("合格使用率")
    private BigDecimal ratio;

    private String entId;

    private Long entConsumeType;

    public EntInstrumentVo() {
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getEntConsumeTypeName() {
        return entConsumeTypeName;
    }

    public void setEntConsumeTypeName(String entConsumeTypeName) {
        this.entConsumeTypeName = entConsumeTypeName;
    }

    public String getEntName() {
        return entName;
    }

    public void setEntName(String entName) {
        this.entName = entName;
    }

    public Long getLevel() {
        return level;
    }

    public void setLevel(Long level) {
        this.level = level;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public Long getCategory() {
        return category;
    }

    public void setCategory(Long category) {
        this.category = category;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public Integer getRequire() {
        return require;
    }

    public void setRequire(Integer require) {
        this.require = require;
    }

    public Integer getActual() {
        return actual;
    }

    public void setActual(Integer actual) {
        this.actual = actual;
    }

    public String getInspect() {
        return inspect;
    }

    public void setInspect(String inspect) {
        this.inspect = inspect;
    }

    public BigDecimal getRatio() {
        return ratio;
    }

    public void setRatio(BigDecimal ratio) {
        this.ratio = ratio;
    }

    public String getEntId() {
        return entId;
    }

    public void setEntId(String entId) {
        this.entId = entId;
    }

    public Long getEntConsumeType() {
        return entConsumeType;
    }

    public void setEntConsumeType(Long entConsumeType) {
        this.entConsumeType = entConsumeType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("regionName", getRegionName())
                .append("entConsumeTypeName", getEntConsumeTypeName())
                .append("entName", getEntName())
                .append("levelName", getLevelName())
                .append("categoryName", getCategoryName())
                .append("require", getRequire())
                .append("actual", getActual())
                .append("inspect", getInspect())
                .append("ratio", getRatio())
                .toString();
    }
}
